--- old/usr/src/lib/gss_mechs/mech_krb5/krb5/krb/gic_pwd.c	Thu Aug  8 11:14:21 2019
+++ new/usr/src/lib/gss_mechs/mech_krb5/krb5/krb/gic_pwd.c	Thu Aug  8 11:14:22 2019
@@ -1,6 +1,10 @@
 /*
  * Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved. */
 
+/*
+ * Copyright 2019 Joyent, Inc.
+ */
+
 #include "k5-int.h"
 #include "com_err.h"
 #include <admin.h>
@@ -519,34 +523,34 @@
 {
   int i;
   krb5_int32 starttime;
-  krb5_get_init_creds_opt *opt;
+  krb5_get_init_creds_opt opt;
 
 
-    krb5_get_init_creds_opt_init(opt);
+    krb5_get_init_creds_opt_init(&opt);
     if (addrs)
-      krb5_get_init_creds_opt_set_address_list(opt, (krb5_address **) addrs);
+      krb5_get_init_creds_opt_set_address_list(&opt, (krb5_address **) addrs);
     if (ktypes) {
 	for (i=0; ktypes[i]; i++);
 	if (i)
-	    krb5_get_init_creds_opt_set_etype_list(opt, ktypes, i);
+	    krb5_get_init_creds_opt_set_etype_list(&opt, ktypes, i);
     }
     if (pre_auth_types) {
 	for (i=0; pre_auth_types[i]; i++);
 	if (i)
-	    krb5_get_init_creds_opt_set_preauth_list(opt, pre_auth_types, i);
+	    krb5_get_init_creds_opt_set_preauth_list(&opt, pre_auth_types, i);
     }
     if (options&KDC_OPT_FORWARDABLE)
-	krb5_get_init_creds_opt_set_forwardable(opt, 1);
-    else krb5_get_init_creds_opt_set_forwardable(opt, 0);
+	krb5_get_init_creds_opt_set_forwardable(&opt, 1);
+    else krb5_get_init_creds_opt_set_forwardable(&opt, 0);
     if (options&KDC_OPT_PROXIABLE)
-	krb5_get_init_creds_opt_set_proxiable(opt, 1);
-    else krb5_get_init_creds_opt_set_proxiable(opt, 0);
+	krb5_get_init_creds_opt_set_proxiable(&opt, 1);
+    else krb5_get_init_creds_opt_set_proxiable(&opt, 0);
     if (creds && creds->times.endtime) {
         krb5_timeofday(context, &starttime);
         if (creds->times.starttime) starttime = creds->times.starttime;
-        krb5_get_init_creds_opt_set_tkt_life(opt, creds->times.endtime - starttime);
+        krb5_get_init_creds_opt_set_tkt_life(&opt, creds->times.endtime - starttime);
     }
-    return krb5int_gic_opt_to_opte(context, opt, opte, 0,
+    return krb5int_gic_opt_to_opte(context, &opt, opte, 0,
 				   "krb5int_populate_gic_opt");
 }
 
--- old/usr/src/lib/hbaapi/Makefile.com	Thu Aug  8 11:14:23 2019
+++ new/usr/src/lib/hbaapi/Makefile.com	Thu Aug  8 11:14:23 2019
@@ -41,7 +41,7 @@
 INCS +=		-I$(SRCDIR)
 CPPFLAGS +=	$(INCS)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-value
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-function
--- old/usr/src/lib/krb5/kadm5/clnt/Makefile.com	Thu Aug  8 11:14:24 2019
+++ new/usr/src/lib/krb5/kadm5/clnt/Makefile.com	Thu Aug  8 11:14:25 2019
@@ -85,7 +85,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-function
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += all_func_returns,indenting,no_if_block
 
--- old/usr/src/lib/krb5/kadm5/srv/Makefile.com	Thu Aug  8 11:14:25 2019
+++ new/usr/src/lib/krb5/kadm5/srv/Makefile.com	Thu Aug  8 11:14:25 2019
@@ -92,7 +92,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-type-limits
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += all_func_returns,indenting
 
--- old/usr/src/lib/krb5/kdb/Makefile.com	Thu Aug  8 11:14:27 2019
+++ new/usr/src/lib/krb5/kdb/Makefile.com	Thu Aug  8 11:14:27 2019
@@ -85,7 +85,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-function
 CERRWARN +=	-_gcc=-Wno-type-limits
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 
 SMOFF += indenting,all_func_returns,deref_check,signed
--- old/usr/src/lib/krb5/plugins/kdb/db2/Makefile.com	Thu Aug  8 11:14:29 2019
+++ new/usr/src/lib/krb5/plugins/kdb/db2/Makefile.com	Thu Aug  8 11:14:30 2019
@@ -68,7 +68,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-function
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/krb5/plugins/kdb/db2/libdb2/Makefile.com	Thu Aug  8 11:14:33 2019
+++ new/usr/src/lib/krb5/plugins/kdb/db2/libdb2/Makefile.com	Thu Aug  8 11:14:33 2019
@@ -102,7 +102,7 @@
 		-I$(SRC)/lib/gss_mechs/mech_krb5/include  #for db-ndbm.h
 
 CFLAGS +=	$(CCVERBOSE) -I..
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/krb5/plugins/preauth/pkinit/Makefile.com	Thu Aug  8 11:14:35 2019
+++ new/usr/src/lib/krb5/plugins/preauth/pkinit/Makefile.com	Thu Aug  8 11:14:35 2019
@@ -65,7 +65,7 @@
 		-I$(SRC)/uts/common/gssapi/mechs/krb5/include \
 		-I$(SRC)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 
 # not linted
--- old/usr/src/lib/libadm/Makefile.com	Thu Aug  8 11:14:37 2019
+++ new/usr/src/lib/libadm/Makefile.com	Thu Aug  8 11:14:37 2019
@@ -45,7 +45,7 @@
 CPPFLAGS +=	-I ../inc
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 
 # not linted
--- old/usr/src/lib/libads/Makefile.com	Thu Aug  8 11:14:39 2019
+++ new/usr/src/lib/libads/Makefile.com	Thu Aug  8 11:14:39 2019
@@ -45,7 +45,7 @@
 # CPPFLAGS +=	-I$(SRC)/lib/libldap5/include/ldap
 
 CERRWARN +=	-_gcc=-Wno-type-limits
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 
 .KEEP_STATE:
--- old/usr/src/lib/libadutils/Makefile.com	Thu Aug  8 11:14:42 2019
+++ new/usr/src/lib/libadutils/Makefile.com	Thu Aug  8 11:14:42 2019
@@ -46,7 +46,7 @@
 CPPFLAGS +=	-I$(SRC)/lib/libldap5/include/ldap
 
 CERRWARN +=	-_gcc=-Wno-type-limits
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libast/Makefile.com	Thu Aug  8 11:14:44 2019
+++ new/usr/src/lib/libast/Makefile.com	Thu Aug  8 11:14:44 2019
@@ -725,7 +725,7 @@
 	$(ASTCFLAGS64)
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-clobbered
 CERRWARN += -_gcc=-Wno-unused-variable
--- old/usr/src/lib/libbc/sparc/Makefile	Thu Aug  8 11:14:46 2019
+++ new/usr/src/lib/libbc/sparc/Makefile	Thu Aug  8 11:14:46 2019
@@ -337,7 +337,7 @@
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-extra
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-address
--- old/usr/src/lib/libbsm/Makefile.com	Thu Aug  8 11:14:49 2019
+++ new/usr/src/lib/libbsm/Makefile.com	Thu Aug  8 11:14:49 2019
@@ -87,7 +87,7 @@
 LDLIBS +=	-lsocket -lnsl -lmd -lc -lsecdb -ltsol -linetutil -lscf
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libc/amd64/Makefile	Thu Aug  8 11:14:51 2019
+++ new/usr/src/lib/libc/amd64/Makefile	Thu Aug  8 11:14:51 2019
@@ -1027,7 +1027,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-variable
--- old/usr/src/lib/libc/i386/Makefile.com	Thu Aug  8 11:14:53 2019
+++ new/usr/src/lib/libc/i386/Makefile.com	Thu Aug  8 11:14:53 2019
@@ -1075,7 +1075,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-variable
--- old/usr/src/lib/libc/inc/thr_inlines.h	Thu Aug  8 11:14:55 2019
+++ new/usr/src/lib/libc/inc/thr_inlines.h	Thu Aug  8 11:14:56 2019
@@ -24,6 +24,10 @@
  * Use is subject to license terms.
  */
 
+/*
+ * Copyright 2019 Joyent, Inc.
+ */
+
 #ifndef _THR_INLINES_H
 #define	_THR_INLINES_H
 
@@ -138,7 +142,7 @@
 extern __GNU_INLINE int
 set_lock_byte(volatile uint8_t *__lockp)
 {
-	int __value;
+	int __value = 0;
 #if defined(__x86)
 	__asm__ __volatile__(
 	    "movl $1, %0\n\t"
--- old/usr/src/lib/libc/port/fp/_base_sup.c	Thu Aug  8 11:14:58 2019
+++ new/usr/src/lib/libc/port/fp/_base_sup.c	Thu Aug  8 11:14:58 2019
@@ -24,6 +24,10 @@
  * Use is subject to license terms.
  */
 
+/*
+ * Copyright 2019 Joyent, Inc.
+ */
+
 #include "lint.h"
 #include <sys/types.h>
 #include "base_conversion.h"
@@ -88,7 +92,11 @@
  * to leave it for now because it's still used by Sun's old Fortran
  * runtime libraries.  Today this is a bug; in the days of SunOS 4.x,
  * when the relevant design decisions were made, it was a feature.
+ *
+ * Regardless, on 32-bit, 'quadruple' under GCC is not 128 bits, so it
+ * uses uninitialized memory...
  */
+#pragma GCC diagnostic ignored "-Wuninitialized"
 enum fp_class_type
 __class_quadruple(quadruple *x)
 {
--- old/usr/src/lib/libc/sparc/Makefile.com	Thu Aug  8 11:14:59 2019
+++ new/usr/src/lib/libc/sparc/Makefile.com	Thu Aug  8 11:14:59 2019
@@ -21,7 +21,7 @@
 
 #
 # Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright 2016 Joyent, Inc.
+# Copyright 2019 Joyent, Inc.
 # Copyright (c) 2013, OmniTI Computer Consulting, Inc. All rights reserved.
 # Copyright 2013 Garrett D'Amore <garrett@damore.org>
 # Copyright 2018 Nexenta Systems, Inc.
@@ -1104,7 +1104,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-variable
--- old/usr/src/lib/libc/sparcv9/Makefile.com	Thu Aug  8 11:15:02 2019
+++ new/usr/src/lib/libc/sparcv9/Makefile.com	Thu Aug  8 11:15:02 2019
@@ -22,7 +22,7 @@
 #
 # Copyright 2016 Gary Mills
 # Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright (c) 2015, Joyent, Inc.  All rights reserved.
+# Copyright 2019 Joyent, Inc.
 # Copyright (c) 2013, OmniTI Computer Consulting, Inc. All rights reserved.
 # Copyright 2013 Garrett D'Amore <garrett@damore.org>
 # Copyright 2018 Nexenta Systems, Inc.
@@ -1044,7 +1044,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-variable
--- old/usr/src/lib/libc_db/Makefile.com	Thu Aug  8 11:15:04 2019
+++ new/usr/src/lib/libc_db/Makefile.com	Thu Aug  8 11:15:04 2019
@@ -48,7 +48,7 @@
 LDLIBS +=	-lc
 
 CERRWARN +=	-_gcc=-Wno-type-limits
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libcmd/Makefile.com	Thu Aug  8 11:15:06 2019
+++ new/usr/src/lib/libcmd/Makefile.com	Thu Aug  8 11:15:07 2019
@@ -135,7 +135,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-implicit-function-declaration
 
--- old/usr/src/lib/libcpc/Makefile.com	Thu Aug  8 11:15:08 2019
+++ new/usr/src/lib/libcpc/Makefile.com	Thu Aug  8 11:15:08 2019
@@ -47,7 +47,7 @@
 CFLAGS +=	$(CCVERBOSE)
 
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libcrypt/Makefile.com	Thu Aug  8 11:15:09 2019
+++ new/usr/src/lib/libcrypt/Makefile.com	Thu Aug  8 11:15:09 2019
@@ -47,7 +47,7 @@
 LDLIBS +=       -lgen -lc
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/lib/libcryptoutil/Makefile.com	Thu Aug  8 11:15:11 2019
+++ new/usr/src/lib/libcryptoutil/Makefile.com	Thu Aug  8 11:15:12 2019
@@ -53,7 +53,7 @@
 LINTFLAGS64 +=  -errchk=longptr64
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libctf/Makefile.shared.com	Thu Aug  8 11:15:13 2019
+++ new/usr/src/lib/libctf/Makefile.shared.com	Thu Aug  8 11:15:14 2019
@@ -85,6 +85,6 @@
 		-DCTF_OLD_VERSIONS
 CFLAGS += $(CCVERBOSE)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 $(LINTLIB) := SRCS = $(SRCDIR)/$(LINTSRC)
--- old/usr/src/lib/libcurses/Makefile.com	Thu Aug  8 11:15:17 2019
+++ new/usr/src/lib/libcurses/Makefile.com	Thu Aug  8 11:15:18 2019
@@ -150,7 +150,7 @@
 CFLAGS	+=	$(CCVERBOSE)
 
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 
 # not linted
--- old/usr/src/lib/libdevinfo/Makefile.com	Thu Aug  8 11:15:21 2019
+++ new/usr/src/lib/libdevinfo/Makefile.com	Thu Aug  8 11:15:21 2019
@@ -42,7 +42,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CPPFLAGS +=	-I..
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libdhcputil/Makefile.com	Thu Aug  8 11:15:24 2019
+++ new/usr/src/lib/libdhcputil/Makefile.com	Thu Aug  8 11:15:24 2019
@@ -46,7 +46,7 @@
 
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CPPFLAGS +=	-I$(COMDIR)
 
 # not linted
--- old/usr/src/lib/libdisasm/Makefile.com	Thu Aug  8 11:15:26 2019
+++ new/usr/src/lib/libdisasm/Makefile.com	Thu Aug  8 11:15:26 2019
@@ -121,7 +121,7 @@
 $(LINTLIB) := SRCS = $(COMDIR)/$(LINTSRC)
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libdiskmgt/Makefile.com	Thu Aug  8 11:15:27 2019
+++ new/usr/src/lib/libdiskmgt/Makefile.com	Thu Aug  8 11:15:27 2019
@@ -62,7 +62,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CPPFLAGS +=	-D_REENTRANT -I$(SRC)/lib/libdiskmgt/common
 
 # not linted
--- old/usr/src/lib/libdladm/Makefile.com	Thu Aug  8 11:15:29 2019
+++ new/usr/src/lib/libdladm/Makefile.com	Thu Aug  8 11:15:29 2019
@@ -46,7 +46,7 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-unused-label
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CPPFLAGS +=	-I$(SRCDIR) -D_REENTRANT
 
 # not linted
--- old/usr/src/lib/libdll/Makefile.com	Thu Aug  8 11:15:30 2019
+++ new/usr/src/lib/libdll/Makefile.com	Thu Aug  8 11:15:30 2019
@@ -85,7 +85,7 @@
 	$(ASTCFLAGS64)
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += all_func_returns,strcpy_overflow
--- old/usr/src/lib/libdlpi/Makefile.com	Thu Aug  8 11:15:31 2019
+++ new/usr/src/lib/libdlpi/Makefile.com	Thu Aug  8 11:15:31 2019
@@ -40,7 +40,7 @@
 $(LINTLIB) :=	SRCS = $(SRCDIR)/$(LINTSRC)
 
 CFLAGS +=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CPPFLAGS +=	-I$(SRCDIR) -D_REENTRANT
 
 .KEEP_STATE:
--- old/usr/src/lib/libdtrace/Makefile.com	Thu Aug  8 11:15:32 2019
+++ new/usr/src/lib/libdtrace/Makefile.com	Thu Aug  8 11:15:33 2019
@@ -131,7 +131,7 @@
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-switch
 
 # not linted
--- old/usr/src/lib/libdtrace_jni/Makefile.com	Thu Aug  8 11:15:34 2019
+++ new/usr/src/lib/libdtrace_jni/Makefile.com	Thu Aug  8 11:15:34 2019
@@ -50,7 +50,7 @@
 CFLAGS += $(CCVERBOSE) $(C_BIGPICFLAGS)
 CFLAGS64 += $(CCVERBOSE) $(C_BIGPICFLAGS64)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SMOFF += all_func_returns
 
--- old/usr/src/lib/libeti/form/Makefile.com	Thu Aug  8 11:15:34 2019
+++ new/usr/src/lib/libeti/form/Makefile.com	Thu Aug  8 11:15:34 2019
@@ -76,7 +76,7 @@
 LDLIBS +=       -lcurses -lc
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 
 .KEEP_STATE:
--- old/usr/src/lib/libexacct/Makefile.com	Thu Aug  8 11:15:36 2019
+++ new/usr/src/lib/libexacct/Makefile.com	Thu Aug  8 11:15:37 2019
@@ -41,7 +41,7 @@
 $(LINTLIB) :=	SRCS = $(SRCDIR)/$(LINTSRC)
 
 CFLAGS +=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CPPFLAGS +=	-D_FILE_OFFSET_BITS=64
 
 debug :=	CPPFLAGS += -DLIBEXACCT_DEBUG
--- old/usr/src/lib/libexacct/demo/Makefile	Thu Aug  8 11:15:39 2019
+++ new/usr/src/lib/libexacct/demo/Makefile	Thu Aug  8 11:15:39 2019
@@ -31,7 +31,7 @@
 
 LDLIBS += -lexacct -lproject -lsocket -lnsl
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/lib/libfdisk/Makefile.com	Thu Aug  8 11:15:41 2019
+++ new/usr/src/lib/libfdisk/Makefile.com	Thu Aug  8 11:15:41 2019
@@ -52,7 +52,7 @@
 LINTFLAGS +=    -erroff=E_BAD_PTR_CAST_ALIGN
 LINTFLAGS64 +=    -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libfru/libfruraw/Makefile.com	Thu Aug  8 11:15:43 2019
+++ new/usr/src/lib/libfru/libfruraw/Makefile.com	Thu Aug  8 11:15:43 2019
@@ -53,7 +53,7 @@
 CPPFLAGS += 	-D_REENTRANT
 CFLAGS +=	$(CCVERBOSE)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libfruutils/Makefile.com	Thu Aug  8 11:15:45 2019
+++ new/usr/src/lib/libfruutils/Makefile.com	Thu Aug  8 11:15:45 2019
@@ -51,7 +51,7 @@
 CFLAGS +=	$(CCVERBOSE)
 
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 $(LINTLIB) :=	LINTFLAGS = -nvx
 $(LINTLIB) :=	LINTFLAGS64 = -nvx -m64
--- old/usr/src/lib/libfsmgt/Makefile.com	Thu Aug  8 11:15:48 2019
+++ new/usr/src/lib/libfsmgt/Makefile.com	Thu Aug  8 11:15:48 2019
@@ -53,7 +53,7 @@
 		-I$(SRC)/cmd/fs.d/nfs/lib
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libgen/Makefile.com	Thu Aug  8 11:15:51 2019
+++ new/usr/src/lib/libgen/Makefile.com	Thu Aug  8 11:15:51 2019
@@ -45,7 +45,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libgss/Makefile.com	Thu Aug  8 11:15:52 2019
+++ new/usr/src/lib/libgss/Makefile.com	Thu Aug  8 11:15:52 2019
@@ -108,7 +108,7 @@
 		-DHAVE_STDLIB_H
 
 CERRWARN +=	-_gcc=-Wno-unused-function
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-empty-body
 
--- old/usr/src/lib/libinetsvc/Makefile.com	Thu Aug  8 11:15:54 2019
+++ new/usr/src/lib/libinetsvc/Makefile.com	Thu Aug  8 11:15:54 2019
@@ -42,7 +42,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libipadm/Makefile.com	Thu Aug  8 11:15:56 2019
+++ new/usr/src/lib/libipadm/Makefile.com	Thu Aug  8 11:15:56 2019
@@ -43,7 +43,7 @@
 
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CPPFLAGS +=	-I$(SRCDIR) -D_REENTRANT
 
 # not linted
--- old/usr/src/lib/libipmi/Makefile.com	Thu Aug  8 11:15:59 2019
+++ new/usr/src/lib/libipmi/Makefile.com	Thu Aug  8 11:15:59 2019
@@ -58,7 +58,7 @@
 CPPFLAGS +=	$(INCS)
 CSTD = $(CSTD_GNU99)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 $(LINTLIB) := SRCS=	$(SRCDIR)/$(LINTSRC)
 
--- old/usr/src/lib/libipsecutil/Makefile.com	Thu Aug  8 11:16:01 2019
+++ new/usr/src/lib/libipsecutil/Makefile.com	Thu Aug  8 11:16:01 2019
@@ -45,7 +45,7 @@
 CPPFLAGS +=	-I$(SRCDIR) -I$(BERDIR)
 
 CERRWARN +=	-_gcc=-Wno-unused-function
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += shift_to_zero
 
--- old/usr/src/lib/libkmf/libkmf/Makefile.com	Thu Aug  8 11:16:04 2019
+++ new/usr/src/lib/libkmf/libkmf/Makefile.com	Thu Aug  8 11:16:04 2019
@@ -70,7 +70,7 @@
 CERRWARN	+=	-_gcc=-Wno-parentheses
 CERRWARN	+=	-_gcc=-Wno-switch
 CERRWARN	+=	-_gcc=-Wno-type-limits
-CERRWARN	+=	-_gcc=-Wno-uninitialized
+CERRWARN	+=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libkmf/plugins/kmf_nss/Makefile.com	Thu Aug  8 11:16:06 2019
+++ new/usr/src/lib/libkmf/plugins/kmf_nss/Makefile.com	Thu Aug  8 11:16:06 2019
@@ -56,7 +56,7 @@
 
 CERRWARN	+=	-_gcc=-Wno-unused-label
 CERRWARN	+=	-_gcc=-Wno-unused-value
-CERRWARN	+=	-_gcc=-Wno-uninitialized
+CERRWARN	+=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libkmf/plugins/kmf_openssl/Makefile.com	Thu Aug  8 11:16:09 2019
+++ new/usr/src/lib/libkmf/plugins/kmf_openssl/Makefile.com	Thu Aug  8 11:16:09 2019
@@ -56,7 +56,7 @@
 
 CERRWARN	+=	-_gcc=-Wno-unused-label
 CERRWARN	+=	-_gcc=-Wno-unused-value
-CERRWARN	+=	-_gcc=-Wno-uninitialized
+CERRWARN	+=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libkvm/Makefile.com	Thu Aug  8 11:16:11 2019
+++ new/usr/src/lib/libkvm/Makefile.com	Thu Aug  8 11:16:11 2019
@@ -47,7 +47,7 @@
 
 CPPFLAGS = -D_KMEMUSER -D_LARGEFILE64_SOURCE=1 -I.. $(CPPFLAGS.master)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += signed
 
--- old/usr/src/lib/libldap5/Makefile.com	Thu Aug  8 11:16:13 2019
+++ new/usr/src/lib/libldap5/Makefile.com	Thu Aug  8 11:16:13 2019
@@ -114,7 +114,7 @@
 CFLAGS64 +=	$(LOCFLAGS)
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-unused-function
 CERRWARN +=	-_gcc=-Wno-unused-variable
--- old/usr/src/lib/libmapid/Makefile.com	Thu Aug  8 11:16:14 2019
+++ new/usr/src/lib/libmapid/Makefile.com	Thu Aug  8 11:16:14 2019
@@ -56,7 +56,7 @@
 
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += all_func_returns
 
--- old/usr/src/lib/libmd/sparc/Makefile	Thu Aug  8 11:16:15 2019
+++ new/usr/src/lib/libmd/sparc/Makefile	Thu Aug  8 11:16:15 2019
@@ -39,7 +39,7 @@
 		../capabilities/sun4v/sparc/pics/symcap.o
 
 # Suppress error for edonr.c __asm__ code
-pics/edonr.o := CERRWARN +=	-_gcc=-Wno-uninitialized
+pics/edonr.o := CERRWARN +=	$(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/lib/libmtmalloc/Makefile.com	Thu Aug  8 11:16:16 2019
+++ new/usr/src/lib/libmtmalloc/Makefile.com	Thu Aug  8 11:16:16 2019
@@ -44,7 +44,7 @@
 $(LINTLIB) lint :=	LINTFLAGS += -erroff=E_BAD_PTR_CAST_ALIGN
 $(LINTLIB) lint :=	LINTFLAGS64 += -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/lib/libndmp/Makefile.com	Thu Aug  8 11:16:17 2019
+++ new/usr/src/lib/libndmp/Makefile.com	Thu Aug  8 11:16:17 2019
@@ -53,7 +53,7 @@
 CPPFLAGS +=	$(INCS) -D_REENTRANT
 
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SRCS=	$(OBJECTS:%.o=$(SRCDIR)/%.c)
 $(LINTLIB) := SRCS=	$(SRCDIR)/$(LINTSRC)
--- old/usr/src/lib/libnisdb/Makefile	Thu Aug  8 11:16:19 2019
+++ new/usr/src/lib/libnisdb/Makefile	Thu Aug  8 11:16:19 2019
@@ -162,7 +162,7 @@
 $(UVAR_PICS) := CERRWARN += -_gcc=-Wno-unused-variable
 
 # Correcting these might alter logic
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-switch
 
 # not linted
--- old/usr/src/lib/libnsl/Makefile.com	Thu Aug  8 11:16:21 2019
+++ new/usr/src/lib/libnsl/Makefile.com	Thu Aug  8 11:16:21 2019
@@ -197,7 +197,7 @@
 
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 CERRWARN +=	-_gcc=-Wno-empty-body
--- old/usr/src/lib/libnvpair/Makefile.com	Thu Aug  8 11:16:22 2019
+++ new/usr/src/lib/libnvpair/Makefile.com	Thu Aug  8 11:16:22 2019
@@ -69,7 +69,7 @@
 
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 CFLAGS +=	$(CCVERBOSE)
 CPPFLAGS +=	-D_REENTRANT
--- old/usr/src/lib/libnwam/Makefile.com	Thu Aug  8 11:16:24 2019
+++ new/usr/src/lib/libnwam/Makefile.com	Thu Aug  8 11:16:24 2019
@@ -55,7 +55,7 @@
 CPPFLAGS +=	-I$(SRCDIR) -D_REENTRANT
 
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libpam/Makefile.com	Thu Aug  8 11:16:26 2019
+++ new/usr/src/lib/libpam/Makefile.com	Thu Aug  8 11:16:27 2019
@@ -39,7 +39,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CPPFLAGS +=	-I $(SRCDIR)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/lib/libpcp/Makefile.com	Thu Aug  8 11:16:29 2019
+++ new/usr/src/lib/libpcp/Makefile.com	Thu Aug  8 11:16:29 2019
@@ -47,7 +47,7 @@
 
 LIBS = $(DYNLIB) $(LINTLIB)
 CFLAGS +=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 LDLIBS +=	-lc -lumem -ldevinfo
 PLATLIBS =	$(USR_PLAT_DIR)/$(PLATFORM)/lib
 INS.slink6=	$(RM) -r $@; $(SYMLINK) ../../$(PLATFORM)/lib/libpcp.so.1 $@
--- old/usr/src/lib/libpicltree/Makefile.com	Thu Aug  8 11:16:30 2019
+++ new/usr/src/lib/libpicltree/Makefile.com	Thu Aug  8 11:16:30 2019
@@ -37,7 +37,7 @@
 CPPFLAGS +=	-D_REENTRANT -I.. -I../../libpicl -I$(SRC)/cmd/picl/plugins/inc
 CFLAGS +=	$(CCVERBOSE)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libpkg/Makefile.com	Thu Aug  8 11:16:31 2019
+++ new/usr/src/lib/libpkg/Makefile.com	Thu Aug  8 11:16:31 2019
@@ -65,7 +65,7 @@
 
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-clobbered
 CERRWARN +=	-_gcc=-Wno-switch
 
--- old/usr/src/lib/libpool/Makefile.com	Thu Aug  8 11:16:33 2019
+++ new/usr/src/lib/libpool/Makefile.com	Thu Aug  8 11:16:33 2019
@@ -54,7 +54,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libpp/Makefile.com	Thu Aug  8 11:16:34 2019
+++ new/usr/src/lib/libpp/Makefile.com	Thu Aug  8 11:16:34 2019
@@ -100,7 +100,7 @@
 	$(ASTCFLAGS64)
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 CERRWARN	+= -_gcc=-Wno-empty-body
 CERRWARN	+= -_gcc=-Wno-unused-value
--- old/usr/src/lib/libproc/Makefile.com	Thu Aug  8 11:16:35 2019
+++ new/usr/src/lib/libproc/Makefile.com	Thu Aug  8 11:16:35 2019
@@ -95,7 +95,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CPPFLAGS +=	-I$(SRCDIR)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-unused-label
--- old/usr/src/lib/libproject/Makefile.com	Thu Aug  8 11:16:36 2019
+++ new/usr/src/lib/libproject/Makefile.com	Thu Aug  8 11:16:36 2019
@@ -49,7 +49,7 @@
 CPPFLAGS +=	-D_REENTRANT
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 LDLIBS +=	-lc -lsecdb -lproc -lpool
 
 $(LINTLIB) :=	SRCS = ../common/llib-lproject
--- old/usr/src/lib/libprtdiag/Makefile.com	Thu Aug  8 11:16:36 2019
+++ new/usr/src/lib/libprtdiag/Makefile.com	Thu Aug  8 11:16:36 2019
@@ -45,7 +45,7 @@
 CPPFLAGS	= $(IFLAGS) $(CPPFLAGS.master)
 CFLAGS		+= $(CCVERBOSE)
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-label
--- old/usr/src/lib/libprtdiag_psr/sparc/Makefile.com	Thu Aug  8 11:16:37 2019
+++ new/usr/src/lib/libprtdiag_psr/sparc/Makefile.com	Thu Aug  8 11:16:37 2019
@@ -54,7 +54,7 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-value
 CERRWARN +=	-_gcc=-Wno-unused-function
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-address
 IFLAGS +=	-I $(UTSBASE)/sun4u 
 IFLAGS +=	-I $(UTSCLOSED)/sun4u 
--- old/usr/src/lib/libresolv/Makefile	Thu Aug  8 11:16:39 2019
+++ new/usr/src/lib/libresolv/Makefile	Thu Aug  8 11:16:39 2019
@@ -59,7 +59,7 @@
 CFLAGS += $(CCVERBOSE)
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/librpcsvc/Makefile.com	Thu Aug  8 11:16:41 2019
+++ new/usr/src/lib/librpcsvc/Makefile.com	Thu Aug  8 11:16:41 2019
@@ -51,7 +51,7 @@
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 
 $(LINTLIB):= SRCS = $(SRCDIR)/$(LINTSRC)
--- old/usr/src/lib/libscf/Makefile.com	Thu Aug  8 11:16:43 2019
+++ new/usr/src/lib/libscf/Makefile.com	Thu Aug  8 11:16:43 2019
@@ -61,7 +61,7 @@
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libsec/Makefile.com	Thu Aug  8 11:16:46 2019
+++ new/usr/src/lib/libsec/Makefile.com	Thu Aug  8 11:16:46 2019
@@ -48,7 +48,7 @@
 LDLIBS += -lc -lavl -lidmap
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-unused-variable
 
--- old/usr/src/lib/libsecdb/Makefile.com	Thu Aug  8 11:16:48 2019
+++ new/usr/src/lib/libsecdb/Makefile.com	Thu Aug  8 11:16:48 2019
@@ -45,7 +45,7 @@
 LINTFLAGS64 +=	-DPIC
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/lib/libshare/Makefile.com	Thu Aug  8 11:16:51 2019
+++ new/usr/src/lib/libshare/Makefile.com	Thu Aug  8 11:16:51 2019
@@ -46,7 +46,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CSTD +=	$(CSTD_GNU99)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-switch
 
 # not linted
--- old/usr/src/lib/libshare/autofs/Makefile.com	Thu Aug  8 11:16:52 2019
+++ new/usr/src/lib/libshare/autofs/Makefile.com	Thu Aug  8 11:16:52 2019
@@ -48,7 +48,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libshare/nfs/Makefile.com	Thu Aug  8 11:16:53 2019
+++ new/usr/src/lib/libshare/nfs/Makefile.com	Thu Aug  8 11:16:53 2019
@@ -50,7 +50,7 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CPPFLAGS +=	-D_REENTRANT -I$(NFSLIB_DIR) \
 		-I$(ADJUNCT_PROTO)/usr/include/libxml2 -I$(SRCDIR)/../common
 
